View Issue Details

IDProjectCategoryLast Update
0021752AI War 2[All Projects] Gameplay IdeaOct 10, 2019 11:07 am
ReporterAsteroidAssigned ToBadgerBadger 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.897 Commanding From The Galaxy Map 
Fixed in Version0.899 Intel Objective Difficulty Ratings 
Summary0021752: Survey and Watch hacks with scaling cost
DescriptionIdea from I-KP and Asteroid as discussed on the forums: https://forums.arcengames.com/ai-war-ii/fog-of-war-too-foggy/msg221398/#msg221398

The overall idea is to give to the player cheaper tools to lift fog of war, while still not making it trivial to reveal every single planet around you.

Scaling idea:
"Maybe keep it the way it is now but scale the Hack cost based on distance from the nearest station, with the cost to Watch a neighbouring planet being nominal but not so insignificant to the point of making it a trivial, thus arguably automatic, task."

Survey/Hack distinction:
"We could actually have two different hacks, let's say Survey to get knowledge of overall strength, and Watch to get full real-time vision. Survey would obviously be way cheaper, but both would scale with distance from the nearest station. Watch could additionally be discounted if you already paid for Survey for that system."

Possible alternative to different cost:
"How about keeping the scaling Hack cost the same for both types but Survey doesn't provoke an AI response whereas Watch will."
TagsNo tags attached.

Activities

BadgerBadger

Oct 6, 2019 11:41 pm

manager   ~0053524

I think I would prefer either giving the player auto-watch with a Logistical command station or some sort of buildable that grants vision, rather than giving vision hacks totally different rules from anything else, or making vision more complex than it already is.

Or some hacks should have costs that increase with the number of times you use the hack (maybe a Watch hack starts at some very small cost, then each subsequent hack costs a little bit more. (Like maybe the first Watch hack costs 2 hacking points, then the next is 3, then 4, etc)

kasnavada

Oct 7, 2019 12:23 pm

reporter   ~0053527

Auto watch is way better.
I don't want to have to manually click on 3-6 planets everytime I conquer something to be able to have what vision should give in the first place.

kasnavada

Oct 7, 2019 1:03 pm

reporter   ~0053528

Complete thread here :
https://forums.arcengames.com/ai-war-ii/fog-of-war-too-foggy/msg221407/#msg221407

x4000Bughunter

Oct 10, 2019 9:32 am

administrator   ~0053567

I'm a fan of auto-watching via logistical command stations, too. That seems like a cool thing.

I wonder if there are some other capturables that we could also do that people could use for that -- possibly some things that the Zenith Trader sells.

BadgerBadger

Oct 10, 2019 11:07 am

manager   ~0053568

Logistical Command Stations now auto-watch adjacent planets

Issue History

Date Modified Username Field Change
Oct 6, 2019 7:43 pm Asteroid New Issue
Oct 6, 2019 11:41 pm BadgerBadger Note Added: 0053524
Oct 7, 2019 12:23 pm kasnavada Note Added: 0053527
Oct 7, 2019 1:03 pm kasnavada Note Added: 0053528
Oct 10, 2019 9:32 am x4000Bughunter Note Added: 0053567
Oct 10, 2019 10:15 am BadgerBadger Assigned To => BadgerBadger
Oct 10, 2019 10:15 am BadgerBadger Status new => assigned
Oct 10, 2019 11:07 am BadgerBadger Status assigned => resolved
Oct 10, 2019 11:07 am BadgerBadger Resolution open => fixed
Oct 10, 2019 11:07 am BadgerBadger Fixed in Version => 0.899 Intel Objective Difficulty Ratings
Oct 10, 2019 11:07 am BadgerBadger Note Added: 0053568